#  *******************************************************************************
#  Copyright (c) 2019 Contributors to the Eclipse Foundation
#
#  See the NOTICE file(s) distributed with this work for additional
#  information regarding copyright ownership.
#
#  This program and the accompanying materials are made available under the
#  terms of the Eclipse Public License v. 2.0 which is available at
#  http://www.eclipse.org/legal/epl-2.0.
#
#  SPDX-License-Identifier: EPL-2.0
#  *******************************************************************************
spring:
  datasource:
    hikari:
      connectionTimeout: 20000
      maximumPoolSize: 5

    url: "jdbc:postgresql://localhost:5432/spa_service_demo"
    username: "spa_service"
    password: "spa_service"

  servlet:
    multipart:
      max-file-size: 40MB
      max-request-size: 40MB


application:
    name: ^project.artifactId^
build:
    version: ^project.version^

server:
  port: 9156

jwt:
  tokenHeader: Authorization
  useStaticJwt: false
  staticJwt: x
  
services:
  authNAuth:
    name: authNAuthService
  camunda:
    name: camundaService
  contactdatabase:
    name: contactDatabaseService

authNAuthService:
  ribbon:
    listOfServers: http://localhost:4201
    
camunda:
  user: spa_service
  pw: spa_service

workflow:
  processDefinitionKey: statement_p
  tenantId: spa
  handleServiceTasks: true


camundaService:
  ribbon:
    listOfServers: http://localhost:8280

contactDatabaseService:
  ribbon:
    listOfServers: http://localhost:9155

authnauth:
  technical-username: spa_service
  technical-userpassword: spa_service


contactDatabase:
  technical-username: spa_service
  technical-userpassword: spa_service

feign:
  client:
    config:
      default:
        connectTimeout: 60000
        readTimeout: 60000
cors:
  corsEnabled: false
 
statement:
  compile:
    dateFormatPattern: dd.MM.yyyy
    statementFileName: Statement.pdf
    templatePdf: classpath:template.pdf
    templateJson: classpath:template.json
  authorization:
    path: classpath:authorization.csv
    csv-delimiter: ;


archive:
  basefolder: k:/Tmp/arc
  statementArchiveFolderName: <t:finishedDate>_<t:id>_Stellungnahme

mail:
  account:
    statement:
       properties: k:/Tmp/statement.properties
    notification:
       properties: k:/Tmp/notification.properties
  newmailcheck: true
  newmailcheckCron: 0 * * * * ?
  configurationPath: classpath:mailConfig.json
